package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouDirectionalPackage;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

/**
 * @Description: 自动投放-定向包详情
 * @Author: jeecg-boot
 * @Date: 2021-04-20
 * @Version: V1.0
 */
public interface IKuaishouDirectionalPackageService extends IService<KuaishouDirectionalPackage> {

    Result<Object> createDirectionalPackage(String accessToken, JSONObject requestJson);

    Result<Object> updateDirectionalPackage(String accessToken, JSONObject requestJson);

    Result<Object> queryList(KuaishouDirectionalPackage directionalPackage, Integer pageNo, Integer pageSize);

    Result<Object> getRelatedAccountGroup(String id, Integer type, Integer pageNo, Integer pageSize);

    Result<Object> pushDirectionalPackage(String id, JSONArray accountIds);

    Result<Object> getHistory(Long projectId, Long templateId, Integer pageNo, Integer pageSize);

    Result<Object> getAccountByProjectId(Long projectId, Integer pageNo, Integer pageSize);

    Result<Object> delete(Long accountId, Long templateId);
}
